hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tatu Saloranta <cowtownco...@yahoo.com>
Subject Re: requirements, dependencies, jdk...
Date Tue, 13 Nov 2007 20:26:42 GMT
--- Oleg Kalnichevski <olegk@apache.org> wrote:

> On Tue, 2007-11-13 at 15:52 +0100, Stojce Dimski
> wrote:
> > Do you people have considered moving code to Java
> 5 and maybe using
...
> Hi Stojce
> 
> Here's my personal take on this issue
> 
...
> (2) HttpCore is meant to be used at the very bottom
> of a complex
> component stack. The use of external dependencies
> has unpleasant
...
> HttpCore is currently a more mature set of
> components in HttpComponents,
> but in future its importance will lessen as there
> will be other higher
> level components built on top of it such as
> HttpClient, which are more
...
> I personally would favor upgrading HttpClient 4.0 to
> Java 1.5, for
> instance. It is still not too late. 

I fully agree. Although I would not be dead set
against 1.5, I would prefer that higher-level parts
require it first, i.e. HttpClient, and that as long as
there's nothing fundamentally required, core parts for
4.0 would only require 1.4.

-+ Tatu +-




      ____________________________________________________________________________________
Never miss a thing.  Make Yahoo your home page. 
http://www.yahoo.com/r/hs

---------------------------------------------------------------------
To unsubscribe, e-mail: httpcomponents-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: httpcomponents-dev-help@jakarta.apache.org


Mime
View raw message